
function XL_chart(tabname, filename, macro, imagefilename) {

    // start Excel
    var XL = guixt.CreateObject("Excel.Application");

    // add a workbook
    XL.WorkBooks.Open(filename)

    // do not display Excel window 
    XL.Visible = false;

    // create Javascript object from GuiXT table variable
    var mytable = JSON.parse(guixt.Get(tabname));


    // copy data into Excel cells
    var n = 0;
    for (rowname in mytable) {
        n++;
        var k = 0;
        for (colname in mytable[rowname]) {
            k++;
            XL.Cells(n, k).value = mytable[rowname][colname];

        }

    }


    // run Excel VBA macro
    XL.Run(macro, imagefilename)


    // close Excel
    XL.DisplayAlerts = false;
    XL.ActiveWorkbook.Close(false);
    XL.Quit();

    XL = null;
}





function XL_copy_table(tabname) {

    // start Excel
    var XL = guixt.CreateObject("Excel.Application");

    // add a workbook
    XL.WorkBooks.Add()

    // display Excel window (test only)
    XL.Visible = true;

    // create Javascript object from GuiXT table variable
    var mytable = JSON.parse(guixt.Get(tabname));


    // copy data into Excel cells
    var n = 0;
    for (rowname in mytable) {
        n++;
        var k = 0;
        for (colname in mytable[rowname]) {
            k++;
            XL.Cells(n, k).value = mytable[rowname][colname];

        }

    }

  }